Jump to content
David

Linux Mint 18.3 agent deployment

Recommended Posts

I seem to be able to install the agent but not start the Pulseway service.

Can anyone confirm that this agent does work on Mint 18.3?

Thanks,

Share this post


Link to post
Share on other sites

Hi David,

Do you get anything written in the syslog when you try to start the Pulseway service?

-Paul

Share this post


Link to post
Share on other sites

Now running OK on Mint 18.3...... however, looking at the syslog:

Apr 28 12:57:35 agile-VirtualBox pulseway: Starting Pulseway Daemon version 5.4 (2018021301)
Apr 28 12:57:35 agile-VirtualBox systemd[1]: Started LSB: Monitor and Control Everything IT from Any Smartphone or Tablet.
Apr 28 12:57:35 agile-VirtualBox pulseway: Configuration read successfully!
Apr 28 12:57:49 agile-VirtualBox pulseway: Error while registering online:SOAP 1.1 fault SOAP-ENV:Server[no subcode]#012"SSL_ERROR_SSL#012error:1409442E:SSL routines:ssl3_read_bytes:tlsv1 alert protocol version#012"#012Detail: SSL_connect error in tcp_connect()
Apr 28 12:58:28 agile-VirtualBox pulseway: Error while registering online:Error -1 fault in message exchange[no subcode]#012"End of file or no input: message transfer interrupted or timed out (30 sec max recv delay) (15 sec max send delay)"#012Detail: [no detail]vid

-David

 

Share this post


Link to post
Share on other sites

Hi David,

Currently the Pulseway agent doesn't support the libssl version 1.1. You will need to do the following:

  1. Uninstall the Pulseway agent.
  2. Replace libssl 1.1 with libssl 1.0
  3. And finally, re-install the Pulseway agent.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×